DCMTK: DcmTransferSyntaxMap Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmTransferSyntaxMap Class Reference

this helper class maintains a map of transfer syntax lists. More...

## Public Member Functions
| DcmTransferSyntaxMap ()
| constructor
| ~DcmTransferSyntaxMap ()
| destructor
| DcmTransferSyntaxMap (const DcmTransferSyntaxMap &arg)
| Copy constructor, performs deep copy.
DcmTransferSyntaxMap & | operator= (const DcmTransferSyntaxMap &arg)
| Copy assignment operator, performs deep copy.
OFMap< OFString, DcmTransferSyntaxList * >::const_iterator | begin ()
| const iterator pointing to start of transfer syntax map
OFMap< OFString, DcmTransferSyntaxList * >::const_iterator | end ()
| const iterator pointing to end of transfer syntax map (behind last entry)
void | clear ()
| Resets DcmTransferSyntaxMap and frees any allocated memory.
size_t | size () const
| Returns number of entries in transfer syntax map.
OFCondition | add (const char *key, const char *transferSyntaxUID)
| add new entry to list within map.
OFBool | isKnownKey (const char *key) const
| checks if the key is known
const DcmTransferSyntaxList * | getTransferSyntaxList (const char *key) const
| returns the list of transfer syntaxes identified by the given key

## Private Attributes
OFMap< OFString, DcmTransferSyntaxList * > | map_
| map of transfer syntax lists

## Detailed Description

this helper class maintains a map of transfer syntax lists.

Not intended for use by the end user.

## Member Function Documentation

## ◆ add()

OFCondition DcmTransferSyntaxMap::add | ( | const char * | key,
|  | const char * | transferSyntaxUID )

add new entry to list within map.

If key is new, new list is created. Otherwise transfer syntax is appended to existing list.

Parameters

  key | map key
  transferSyntaxUID | transfer syntax UID

Returns
  EC_Normal if successful, an error code otherwise

## ◆ begin()

OFMap< OFString, DcmTransferSyntaxList * >::const_iterator DcmTransferSyntaxMap::begin | ( |  | ) |

const iterator pointing to start of transfer syntax map

Returns
  iterator to start of profile map

## ◆ end()

OFMap< OFString, DcmTransferSyntaxList * >::const_iterator DcmTransferSyntaxMap::end | ( |  | ) |

const iterator pointing to end of transfer syntax map (behind last entry)

Returns
  iterator to end of profile map

## ◆ getTransferSyntaxList()

const DcmTransferSyntaxList * DcmTransferSyntaxMap::getTransferSyntaxList | ( | const char * | key | ) | const

returns the list of transfer syntaxes identified by the given key

Parameters

  key | transfer syntax list to search

Returns
  pointer to transfer syntax list if found, NULL otherwise

## ◆ isKnownKey()

OFBool DcmTransferSyntaxMap::isKnownKey | ( | const char * | key | ) | const

checks if the key is known

Parameters

  key | key name, must not be NULL

Returns
  true if key is known, false otherwise

## ◆ size()

size_t DcmTransferSyntaxMap::size | ( |  | ) | const

Returns number of entries in transfer syntax map.

Returns
  the number of entries in transfer syntax map

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccftsmp.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2